#include "useORiN.h"
#include "defcommand.h"
#include "CAO_i.c"

	HRESULT hr = S_OK;
	ICaoEngine* pEng = NULL;
	ICaoWorkspaces* pWss = NULL;
	ICaoWorkspace* pWs = NULL;
	ICaoController* pCtrl = NULL;
	ICaoRobot* pRobot = NULL;
	ICaoVariable* pPosJ;
	ICaoVariable* pPosC;
	ICaoVariable* pServo;
	ICaoVariable* pSPEED;
	ICaoVariable* pJSPEED;
	ICaoVariable* pVar = NULL;
	LPSTR lstr;
	int bstrlen;
	char char_buffer[100];
	char char_option[100];
	BSTR bstr_option;
	VARIANT variant_param;
	VARIANT variant_pose;
	VARIANT variant_pVal;
	char* PortParam = "";
	long timeout = 50000;
	double JUpperLimit[7];
	double JLowerLimit[7];
	double CUpperLimit[3];
	double CLowerLimit[3];
	double JMinAccelTime = 1;
	double CMinAccelTime = 1;
	double JHomePoint[7];
	double JPoint[7];
	double CPoint[6];
	double CPointR[6];
	double CPointT[6];
	int CFlag;
	int CFlagR;
	int CFlagT;

HRESULT ORiNAct(){
		std::cout<<"DCOM̏"<<std::endl;
	CoInitialize(0);

	//CaoEngine̐
	std::cout<<"CaoEngine̐"<<std::endl;
	hr = CoCreateInstance(CLSID_CaoEngine,NULL,CLSCTX_LOCAL_SERVER,IID_ICaoEngine,(void **)&pEng);
	if(FAILED(hr)){
		std::cout.setf(std::ios::hex,std::ios::basefield);
		std::cout.setf(std::ios::showbase);
		std::cout<<"ysz: "<<hr<<std::endl;
		return S_FALSE;
	}
	//CaoWorkspaceRNV̎擾
	std::cout<<"CaoWorkspaceRNV̎擾"<<std::endl;
	hr = pEng->get_Workspaces(&pWss);
	if(FAILED(hr)){
		std::cout.setf(std::ios::hex,std::ios::basefield);
		std::cout.setf(std::ios::showbase);
		std::cout<<"ysz: "<<hr<<std::endl;
		return S_FALSE;
	}
	//CaoWorkspace̎擾
	std::cout<<"CaoWorkspace̎擾"<<std::endl;
	hr = pWss->Item(CComVariant(0L), &pWs);
	if(FAILED(hr)){
		std::cout.setf(std::ios::hex,std::ios::basefield);
		std::cout.setf(std::ios::showbase);
		std::cout<<"ysz: "<<hr<<std::endl;
		return S_FALSE;
	}
	
	//CaoController̐
	std::cout<<"CaoController̐"<<std::endl;
	//Configuration̕ϊ
	sprintf(char_option,ConnectionParam,PortParam,timeout);
	//}bṽAhX
	lstr=char_option;
	//BSTRɕKvȃobt@TCY߂
	bstrlen=(int)MultiByteToWideChar(CP_ACP,0,lstr,strlen(lstr),NULL,0);
	//obt@mۂ
	bstr_option=SysAllocStringLen(NULL,bstrlen);
	//BSTRɕ
	MultiByteToWideChar(CP_ACP,0,lstr,strlen(lstr),bstr_option,bstrlen);

	hr = pWs->AddController(CComBSTR(ControllerName),CComBSTR(CaoProvName),CComBSTR(L""),bstr_option,&pCtrl);
	if(FAILED(hr)){
		std::cout.setf(std::ios::hex,std::ios::basefield);
		std::cout.setf(std::ios::showbase);
		std::cout<<"ysz: "<<hr<<std::endl;
		return S_FALSE;
	}

	//CaoProvRobotIuWFNg̐
	std::cout<<"CaoProvRobotIuWFNg̐"<<std::endl;
	hr = pCtrl->AddRobot(CComBSTR(RobotName),CComBSTR(L""),&pRobot);
	if(FAILED(hr)){
		std::cout.setf(std::ios::hex,std::ios::basefield);
		std::cout.setf(std::ios::showbase);
		std::cout<<"ysz: "<<hr<<std::endl;
		return S_FALSE;
	}
		return S_OK;
}

	HRESULT ORiNDeact(){
	//IuWFNg̉
	std::cout<<"IuWFNg̉"<<std::endl;
	
	//
	if(pRobot) pRobot->Release();
	if(pCtrl) pCtrl->Release();
	if(pWs) pWs->Release();
	if(pWss) pWss->Release();
	if(pEng) pEng->Release();

	//DCOM̏I
	std::cout<<"DCOM̏I"<<std::endl;
	CoUninitialize();

		return S_OK;
	}